Bug 480316 - debug-info install fails to find the debuginfo package when .src.rpm has different version
debug-info install fails to find the debuginfo package when .src.rpm has diff...
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-16 08:31 EST by David Timms
Modified: 2014-01-21 18:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-09 15:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Timms 2009-01-16 08:31:04 EST
Description of problem:
gdb suggests to do a debuginfo-install which does not work.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. firefox
2. gdb -p (pid of firefox instance)
3. suggests it needs certain debuginfo's including libtdb....
4. debuginfo-install libtdb-1.1.1-25.fc10.i386
Actual results:
Could not find debuginfo for main pkg: libtdb-1.1.1-25.fc10.i386 

Expected results:
install of debuginfo (samba-debuginfo) should occur.

Additional info:
using rpm -q --info libtdb shows that it comes from the samba package.

debuginfo-install samba works.
? Maybe the repodata is not being correctly generated (I don't know how debuginfo-install works) ?
Comment 1 James Antill 2009-01-16 10:57:23 EST
The problem here is that libtdb is generated from the samba src.rpm, _but_ samba = samba-3.2.7-0.25.fc10 ... and libtdb = 1.1.1-25.fc10.

We just need to take the version info. from the sourcerpm instead of carrying it over from the pkg. Fixed in upstream e5681d6c405bd08e8ebb8d01b26545cdc03498fd
Comment 2 David Timms 2009-10-09 19:26:12 EDT
OK, reran test case:
gdb -p {firefox pid}
Missing separate debuginfos, use: debuginfo-install ... libtdb-1.1.1-36.fc10.x86_64 ...
debuginfo-install libtdb-1.1.1-36.fc10.x86_64
---> Package samba-debuginfo.x86_64 0:3.2.15-0.36.fc10 set to be updated
  Installing     : samba-debuginfo-3.2.15-0.36.fc10.x86_64                 4/52 
gdb -p {firefox pid}
Loaded symbols for /usr/lib64/libtdb.so.1
Reading symbols from /usr/lib64/libltdl.so.3...Reading symbols from /usr/lib/debug/usr/lib64/libltdl.so.3.1.6.debug...done.

Confirmed this issue is resolved in current release of:
Jun 17 00:10:02 Updated: yum-utils-1.1.22-1.fc10.noarch
Jun 20 07:05:11 Updated: gdb-6.8-32.fc10.x86_64

Note You need to log in before you can comment on or make changes to this bug.